Debian Bug report logs - #665783
O: bnfc -- Compiler front-end generator based on Labelled BNF

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Antti-Juhani Kaijanaho <ajk@debian.org>

Date: Mon, 26 Mar 2012 04:18:02 UTC

Severity: normal

Fixed in version bnfc/2.6.0.3-1

Done: Joachim Breitner <nomeata@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#665783; Package wnpp. (Mon, 26 Mar 2012 04:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antti-Juhani Kaijanaho <ajk@debian.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Mon, 26 Mar 2012 04:18:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Antti-Juhani Kaijanaho <ajk@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFA: bnfc -- Compiler front-end generator based on Labelled BNF
Date: Mon, 26 Mar 2012 07:14:01 +0300
Package: wnpp
Severity: normal

I request an adopter for the bnfc package.

The package description is:
 The BNF Converter is a compiler construction tool that generates a
 compiler front-end and a readable syntax description document from a
 Labelled BNF grammar. It was originally written to generate Haskell,
 but it can now also be used for generating Java, C++, and C.
 .
 To process Haskell output, you need the Glorious Glasgow Haskell
 Compiler (virtual package ghc), the Happy parser generator (package
 happy) and the Alex scanner generator (package alex).
 .
 To process Java output, you need a Java compiler and virtual machine,
 the CUP parser generator (package cup) and the JLex scanner generator
 (package jlex).
 .
 To process C or C++ output, you need a C or C++ compiler,
 respectively, the Bison parser generator (package bison) and the flex
 scanner generator (package flex).
 .
 To process the generated documents, you need LaTeX (packages
 tetex-base, tetex-bin, etc.).




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#665783; Package wnpp. (Tue, 07 May 2013 19:09:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antti-Juhani Kaijanaho <antti-juhani@kaijanaho.fi>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 07 May 2013 19:09:14 GMT) Full text and rfc822 format available.

Message #10 received at 665783@bugs.debian.org (full text, mbox):

From: Antti-Juhani Kaijanaho <antti-juhani@kaijanaho.fi>
To: 665783@bugs.debian.org
Cc: debian-haskell@lists.debian.org
Subject: Re: Bug#665783: O: bnfc -- Compiler front-end generator based on Labelled BNF
Date: Tue, 7 May 2013 22:04:16 +0300
[Message part 1 (text/plain, inline)]
Control: retitle -1 O: bnfc -- Compiler front-end generator based on Labelled BNF
Control: affects -1 bnfc

With the upstream release of version 2.5.0, bnfc now ships a library in
addition to the binary.  This increases the packaging complexity enough that I
am not comfortable continuing as maintainer.  If someone wants to take over,
the package should probably be maintained within the Debian Haskell Group.

On Mon, Mar 26, 2012 at 07:14:01AM +0300, Antti-Juhani Kaijanaho wrote:
> Package: wnpp
> Severity: normal
> 
> I request an adopter for the bnfc package.
> 
> The package description is:
>  The BNF Converter is a compiler construction tool that generates a
>  compiler front-end and a readable syntax description document from a
>  Labelled BNF grammar. It was originally written to generate Haskell,
>  but it can now also be used for generating Java, C++, and C.
>  .
>  To process Haskell output, you need the Glorious Glasgow Haskell
>  Compiler (virtual package ghc), the Happy parser generator (package
>  happy) and the Alex scanner generator (package alex).
>  .
>  To process Java output, you need a Java compiler and virtual machine,
>  the CUP parser generator (package cup) and the JLex scanner generator
>  (package jlex).
>  .
>  To process C or C++ output, you need a C or C++ compiler,
>  respectively, the Bison parser generator (package bison) and the flex
>  scanner generator (package flex).
>  .
>  To process the generated documents, you need LaTeX (packages
>  tetex-base, tetex-bin, etc.).
> 
> 

-- 
Antti-Juhani Kaijanaho

[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'O: bnfc -- Compiler front-end generator based on Labelled BNF' from 'RFA: bnfc -- Compiler front-end generator based on Labelled BNF' Request was from Antti-Juhani Kaijanaho <antti-juhani@kaijanaho.fi> to 665783-submit@bugs.debian.org. (Tue, 07 May 2013 19:09:14 GMT) Full text and rfc822 format available.

Added indication that 665783 affects bnfc Request was from Antti-Juhani Kaijanaho <antti-juhani@kaijanaho.fi> to 665783-submit@bugs.debian.org. (Tue, 07 May 2013 19:09:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#665783; Package wnpp. (Fri, 10 May 2013 18:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 10 May 2013 18:39:05 GMT) Full text and rfc822 format available.

Message #19 received at 665783@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: Antti-Juhani Kaijanaho <antti-juhani@kaijanaho.fi>
Cc: 665783@bugs.debian.org, debian-haskell@lists.debian.org
Subject: Re: Bug#665783: O: bnfc -- Compiler front-end generator based on Labelled BNF
Date: Fri, 10 May 2013 20:35:53 +0200
[Message part 1 (text/plain, inline)]
Hi,

I think the Haskell Group can take it over. But some questions: Is the
library really needed in Debian (i.e. are there other libraries or
programs using it)? How active is BNFC maintained by upstream? How much
maintenance work was required for bnfc (besides the pure packaging)?

Greetings,
Joachim

Am Dienstag, den 07.05.2013, 22:04 +0300 schrieb Antti-Juhani Kaijanaho:
> Control: retitle -1 O: bnfc -- Compiler front-end generator based on Labelled BNF
> Control: affects -1 bnfc
> 
> With the upstream release of version 2.5.0, bnfc now ships a library in
> addition to the binary.  This increases the packaging complexity enough that I
> am not comfortable continuing as maintainer.  If someone wants to take over,
> the package should probably be maintained within the Debian Haskell Group.
> 
> On Mon, Mar 26, 2012 at 07:14:01AM +0300, Antti-Juhani Kaijanaho wrote:
> > Package: wnpp
> > Severity: normal
> > 
> > I request an adopter for the bnfc package.
> > 
> > The package description is:
> >  The BNF Converter is a compiler construction tool that generates a
> >  compiler front-end and a readable syntax description document from a
> >  Labelled BNF grammar. It was originally written to generate Haskell,
> >  but it can now also be used for generating Java, C++, and C.
> >  .
> >  To process Haskell output, you need the Glorious Glasgow Haskell
> >  Compiler (virtual package ghc), the Happy parser generator (package
> >  happy) and the Alex scanner generator (package alex).
> >  .
> >  To process Java output, you need a Java compiler and virtual machine,
> >  the CUP parser generator (package cup) and the JLex scanner generator
> >  (package jlex).
> >  .
> >  To process C or C++ output, you need a C or C++ compiler,
> >  respectively, the Bison parser generator (package bison) and the flex
> >  scanner generator (package flex).
> >  .
> >  To process the generated documents, you need LaTeX (packages
> >  tetex-base, tetex-bin, etc.).
> > 
> > 
> 

-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#665783; Package wnpp. (Sat, 11 May 2013 08:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antti-Juhani Kaijanaho <antti-juhani@kaijanaho.fi>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 11 May 2013 08:27:09 GMT) Full text and rfc822 format available.

Message #24 received at 665783@bugs.debian.org (full text, mbox):

From: Antti-Juhani Kaijanaho <antti-juhani@kaijanaho.fi>
To: 665783@bugs.debian.org, debian-haskell@lists.debian.org
Subject: Re: Bug#665783: O: bnfc -- Compiler front-end generator based on Labelled BNF
Date: Sat, 11 May 2013 11:25:32 +0300
[Message part 1 (text/plain, inline)]
On Fri, May 10, 2013 at 08:35:53PM +0200, Joachim Breitner wrote:
> I think the Haskell Group can take it over. But some questions: Is the
> library really needed in Debian (i.e. are there other libraries or
> programs using it)? How active is BNFC maintained by upstream? How much
> maintenance work was required for bnfc (besides the pure packaging)?

There are no dependencies in Debian.  But I believe programs generated by BNFC
with certain options will require the library, so I would hesitate not
packaging the library.

Upstream is active but (at least in the past) has been relatively slow, only
releasing every couple of years.  They've now moved to a more open development
style; I don't know if that'll speed things up.  From my perspective, bnfc has
been low maintenance.

Upstream home page is at http://bnfc.digitalgrammars.com/ and Google group at
https://groups.google.com/group/bnfc-dev?hl=en 

Thanks for considering taking it over from me :-)

-- 
Antti-Juhani Kaijanaho

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#665783; Package wnpp. (Sat, 11 May 2013 09:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 11 May 2013 09:09:03 GMT) Full text and rfc822 format available.

Message #29 received at 665783@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: Antti-Juhani Kaijanaho <antti-juhani@kaijanaho.fi>
Cc: 665783@bugs.debian.org, debian-haskell@lists.debian.org
Subject: Re: Bug#665783: O: bnfc -- Compiler front-end generator based on Labelled BNF
Date: Sat, 11 May 2013 11:05:06 +0200
[Message part 1 (text/plain, inline)]
Hi,

Am Samstag, den 11.05.2013, 11:25 +0300 schrieb Antti-Juhani Kaijanaho:
> On Fri, May 10, 2013 at 08:35:53PM +0200, Joachim Breitner wrote:
> > I think the Haskell Group can take it over. But some questions: Is the
> > library really needed in Debian (i.e. are there other libraries or
> > programs using it)? How active is BNFC maintained by upstream? How much
> > maintenance work was required for bnfc (besides the pure packaging)?
> 
> There are no dependencies in Debian.  But I believe programs generated by BNFC
> with certain options will require the library, so I would hesitate not
> packaging the library.
> 
> Upstream is active but (at least in the past) has been relatively slow, only
> releasing every couple of years.  They've now moved to a more open development
> style; I don't know if that'll speed things up.  From my perspective, bnfc has
> been low maintenance.
> 
> Upstream home page is at http://bnfc.digitalgrammars.com/ and Google group at
> https://groups.google.com/group/bnfc-dev?hl=en 

Sounds good.

> Thanks for considering taking it over from me :-)

Will do. Do you have your packaging in a VCS whose history you’d like to
retain?

Greetings,
Joachim

-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#665783; Package wnpp. (Sat, 11 May 2013 09:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antti-Juhani Kaijanaho <antti-juhani@kaijanaho.fi>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 11 May 2013 09:21:04 GMT) Full text and rfc822 format available.

Message #34 received at 665783@bugs.debian.org (full text, mbox):

From: Antti-Juhani Kaijanaho <antti-juhani@kaijanaho.fi>
To: 665783@bugs.debian.org, debian-haskell@lists.debian.org
Subject: Re: Bug#665783: O: bnfc -- Compiler front-end generator based on Labelled BNF
Date: Sat, 11 May 2013 12:17:53 +0300
[Message part 1 (text/plain, inline)]
On Sat, May 11, 2013 at 11:05:06AM +0200, Joachim Breitner wrote:
> Will do. Do you have your packaging in a VCS whose history you’d like to
> retain?

No.  Traditionally, I just kept an archive of released versions I uploaded, but
I lost that in a disk crash.  I'm slowly adopting VCS processes for my
packages, but bnfc didn't get that far.

-- 
Antti-Juhani Kaijanaho

[signature.asc (application/pgp-signature, inline)]

Reply sent to Joachim Breitner <nomeata@debian.org>:
You have taken responsibility. (Sat, 11 May 2013 13:18:22 GMT) Full text and rfc822 format available.

Notification sent to Antti-Juhani Kaijanaho <ajk@debian.org>:
Bug acknowledged by developer. (Sat, 11 May 2013 13:18:22 GMT) Full text and rfc822 format available.

Message #39 received at 665783-close@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: 665783-close@bugs.debian.org
Subject: Bug#665783: fixed in bnfc 2.6.0.3-1
Date: Sat, 11 May 2013 13:17:54 +0000
Source: bnfc
Source-Version: 2.6.0.3-1

We believe that the bug you reported is fixed in the latest version of
bnfc, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 665783@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joachim Breitner <nomeata@debian.org> (supplier of updated bnfc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 11 May 2013 14:40:44 +0200
Source: bnfc
Binary: bnfc
Architecture: source amd64
Version: 2.6.0.3-1
Distribution: experimental
Urgency: low
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Changed-By: Joachim Breitner <nomeata@debian.org>
Description: 
 bnfc       - Compiler front-end generator based on Labelled BNF
Closes: 665783
Changes: 
 bnfc (2.6.0.3-1) experimental; urgency=low
 .
   * New upstream release
   * Adopt package by the Debian Haskell Group (Closes: 665783)
Checksums-Sha1: 
 fa6809b67f5216208dd62e4846b16e5d7fff03c5 1362 bnfc_2.6.0.3-1.dsc
 e68af3f9549a8236f9ff99433bc24568602130b8 202928 bnfc_2.6.0.3.orig.tar.gz
 61216f77c1d3865a85553995d5b6b14c2286d842 3534 bnfc_2.6.0.3-1.debian.tar.gz
 37ee19e91a2915d463b820eb17a35469f0602d9a 962096 bnfc_2.6.0.3-1_amd64.deb
Checksums-Sha256: 
 8cac0c1a623eb251e3361e2bed89f07362382b662784dcb61e3caf9c99e15f74 1362 bnfc_2.6.0.3-1.dsc
 583aeac56d9444ba191501936c290136ba37b95dbee7d5a965d1ee4935cf6844 202928 bnfc_2.6.0.3.orig.tar.gz
 fec944d67775c80297215b2ecfd2360861105ac9142247372d86e3d93714799d 3534 bnfc_2.6.0.3-1.debian.tar.gz
 179928ca512a7397fc2a2f60808cc382da8d53c031ffbf02fef68975d4b2012e 962096 bnfc_2.6.0.3-1_amd64.deb
Files: 
 5b3afbe3ee47a125966f94743db39660 1362 haskell extra bnfc_2.6.0.3-1.dsc
 db3a4e27f7d97e7bea1cc4fda0705440 202928 haskell extra bnfc_2.6.0.3.orig.tar.gz
 b912ac31cf3373d3426bafee6f772393 3534 haskell extra bnfc_2.6.0.3-1.debian.tar.gz
 00ca2afa17c5f6ce271270a7e3507fa9 962096 devel extra bnfc_2.6.0.3-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlGOPM0ACgkQ9ijrk0dDIGxPewCdF1pOxeEeOX607RqaJtmwO/1W
hXYAn0wRBz2gY9Szzfi+mwIz2vpUng1K
=3+xG
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 09 Jun 2013 07:45:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 14:21:20 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.